 type="NameVariable"/>
      </rule>
      <rule pattern="([a-z0-9.-]+)(:)([0-9]+)">
        <bygroups>
          <token type="Name"/>
          <token type="Punctuation"/>
          <token type="LiteralNumberInteger"/>
        </bygroups>
      </rule>
      <rule pattern="[a-z-]+/[a-z-+]+">
        <token type="LiteralString"/>
      </rule>
      <rule pattern="[0-9]+[km]?\b">
        <token type="LiteralNumberInteger"/>
      </rule>
      <rule pattern="(~)(\s*)([^\s{]+)">
        <bygroups>
          <token type="Punctuation"/>
          <token type="Text"/>
          <token type="LiteralStringRegex"/>
        </bygroups>
      </rule>
      <rule pattern="[:=~]">
        <token type="Punctuation"/>
      </rule>
      <rule pattern="[^\s;#{}$]+">
        <token type="LiteralString"/>
      </rule>
      <rule pattern="/[^\s;#]*">
        <token type="Name"/>
      </rule>
      <rule pattern="\s+">
        <token type="Text"/>
      </rule>
      <rule pattern="[$;]">
        <token type="Text"/>
      </rule>
    </state>
  </rules>
</lexer>